2025-01-21 17:21:51 UTC
222 MB
1.17
MYSQL_MAJOR8.4
MYSQL_SHELL_VERSION8.4.4-1.el9
MYSQL_VERSION8.4.4-1.el9
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:2c0a233485c3a7b6cab556a9a9c2916ca9a3afc8c46097ddfbe0af4fe120a50c - 21.08% (46.8 MB)
[#001] sha256:ecb40fda03e3d771dae07c3a61b170139e20565ae8079f1f269afb34a7359bc7 - 0.0% (883 Bytes)
[#002] sha256:1c6c73d8c7a7af55eecef58037873acb92622548708d25fbf249679e861cdc95 - 0.42% (960 KB)
[#003] sha256:986789341eb6cdca7697a7af7c440c8d7c4fd41147afa1b355b679018beffd14 - 2.96% (6.58 MB)
[#004] sha256:720920ea2b0be1c2a18741fa3ad096d206d6f70640a95576a3b35bbe2a2a50d9 - 0.0% (2.55 KB)
[#005] sha256:8789191db836ed0112a34aaefa8f00633606248ca4d09ace4a0be54f78ea01a8 - 0.0% (334 Bytes)
[#006] sha256:311a2cd705b01b8ee234432769e2ab1ddec25a5cfccca8b39e97ab808329faba - 20.43% (45.4 MB)
[#007] sha256:3883debd05a31e45aec7648ba822046ba2b2c883f99aabdf873978797c0a4aa1 - 0.0% (320 Bytes)
[#008] sha256:bdca1d64207db8bb46e4388863ac15c533679c42cc9e131379388b2ea5723ee9 - 55.1% (122 MB)
[#009] sha256:3add1d61b6f4b51d8b4bbb257b478fd1df8393344df8a9e5ab50bd28e48b7334 - 0.0% (5.2 KB)
ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit
2024-11-21 19:42:52 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; groupadd --system --gid 999 mysql; useradd --system --uid 999 --gid 999 --home-dir /var/lib/mysql --no-create-home mysql # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENV GOSU_VERSION=1.17
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(uname -m)"; case "$arch" in aarch64) gosuArch='arm64' ;; x86_64) gosuArch='amd64' ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch.asc"; curl -fL -o /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; chmod +x /usr/local/bin/gosu; gosu --version; gosu nobody true # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y bzip2 gzip openssl xz zstd findutils ; microdnf clean all # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; key='BCA4 3417 C3B4 85DD 128E C6D4 B7B3 B788 A8D3 785C'; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; gpg --batch --export --armor "$key" > /etc/pki/rpm-gpg/RPM-GPG-KEY-mysql; rm -rf "$GNUPGHOME" # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENV MYSQL_MAJOR=8.4
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENV MYSQL_VERSION=8.4.4-1.el9
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eu; { echo '[mysql8.4-server-minimal]'; echo 'name=MySQL 8.4 Server Minimal'; echo 'enabled=1'; echo 'baseurl=https://repo.mysql.com/yum/mysql-8.4-community/docker/el/9/$basearch/'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-minimal.repo # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y "mysql-community-server-minimal-$MYSQL_VERSION"; microdnf clean all; grep -F 'socket=/var/lib/mysql/mysql.sock' /etc/my.cnf; sed -i 's!^socket=.*!socket=/var/run/mysqld/mysqld.sock!' /etc/my.cnf; grep -F 'socket=/var/run/mysqld/mysqld.sock' /etc/my.cnf; { echo '[client]'; echo 'socket=/var/run/mysqld/mysqld.sock'; } >> /etc/my.cnf; ! grep -F '!includedir' /etc/my.cnf; { echo; echo '!includedir /etc/mysql/conf.d/'; } >> /etc/my.cnf; mkdir -p /etc/mysql/conf.d; mkdir -p /var/lib/mysql /var/run/mysqld; chown mysql:mysql /var/lib/mysql /var/run/mysqld; chmod 1777 /var/lib/mysql /var/run/mysqld; mkdir /docker-entrypoint-initdb.d; mysqld --version; mysql --version # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eu; { echo '[mysql-tools-community]'; echo 'name=MySQL Tools Community'; echo 'baseurl=https://repo.mysql.com/yum/mysql-tools-8.4-community/el/9/$basearch/'; echo 'enabled=1'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-tools.repo # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENV MYSQL_SHELL_VERSION=8.4.4-1.el9
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y "mysql-shell-$MYSQL_SHELL_VERSION"; microdnf clean all; mysqlsh --version # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)VOLUME [/var/lib/mysql]
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)EXPOSE map[3306/tcp:{} 33060/tcp:{}]
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)CMD ["mysqld"]
2025-01-21 17:21:51 UTC
218 MB
1.17
MYSQL_MAJOR8.4
MYSQL_SHELL_VERSION8.4.4-1.el9
MYSQL_VERSION8.4.4-1.el9
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:f7fa64c7935f6bb5df09447a656c51d0f8f2a9f6c57838b88508dce34d5ec36a - 20.87% (45.5 MB)
[#001] sha256:81ebfd74dcb5b7f093b013a8111d1903f13c79ed5c92ad2c956cf0e32e97e75f - 0.0% (883 Bytes)
[#002] sha256:d08c5512fe2f397e73fe08b22d175b1f9302bde2d289dbc819bef7dc74f5a9cd - 0.4% (892 KB)
[#003] sha256:0fe89fd72816f51b76b2e7f6d53bbf3459ebed39c6964c869c28aebf4e00d71c - 2.84% (6.2 MB)
[#004] sha256:fc3cf76a534ab5e054d760607b236a2cf856dcd864c7b43d29cc180c11944573 - 0.0% (2.55 KB)
[#005] sha256:fa2668a8281b7268fc08552f80ac15fe7a907162ecf83c4e27b9e1d3506d9b7f - 0.0% (334 Bytes)
[#006] sha256:5bd440e2669c30223762fccaede52a073eef4eed390ab47e95c720f01b739de5 - 20.35% (44.3 MB)
[#007] sha256:81b6a9cf642cf7c9f1f9238d7de08af3c27a99107d76ab0ef571fa8ad57607c4 - 0.0% (321 Bytes)
[#008] sha256:e521efae22b3d8724111606ed460fbef331eb32c8355cdf6d0543a0962cdb217 - 55.53% (121 MB)
[#009] sha256:babc7aaaa09592c1d44f4aeb00c66ead5dd2e22f8536d64fa021b12ecab0a5cf - 0.0% (5.21 KB)
ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit
2024-11-21 19:43:03 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; groupadd --system --gid 999 mysql; useradd --system --uid 999 --gid 999 --home-dir /var/lib/mysql --no-create-home mysql # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENV GOSU_VERSION=1.17
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(uname -m)"; case "$arch" in aarch64) gosuArch='arm64' ;; x86_64) gosuArch='amd64' ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch.asc"; curl -fL -o /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; chmod +x /usr/local/bin/gosu; gosu --version; gosu nobody true # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y bzip2 gzip openssl xz zstd findutils ; microdnf clean all # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; key='BCA4 3417 C3B4 85DD 128E C6D4 B7B3 B788 A8D3 785C'; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; gpg --batch --export --armor "$key" > /etc/pki/rpm-gpg/RPM-GPG-KEY-mysql; rm -rf "$GNUPGHOME" # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENV MYSQL_MAJOR=8.4
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENV MYSQL_VERSION=8.4.4-1.el9
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eu; { echo '[mysql8.4-server-minimal]'; echo 'name=MySQL 8.4 Server Minimal'; echo 'enabled=1'; echo 'baseurl=https://repo.mysql.com/yum/mysql-8.4-community/docker/el/9/$basearch/'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-minimal.repo # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y "mysql-community-server-minimal-$MYSQL_VERSION"; microdnf clean all; grep -F 'socket=/var/lib/mysql/mysql.sock' /etc/my.cnf; sed -i 's!^socket=.*!socket=/var/run/mysqld/mysqld.sock!' /etc/my.cnf; grep -F 'socket=/var/run/mysqld/mysqld.sock' /etc/my.cnf; { echo '[client]'; echo 'socket=/var/run/mysqld/mysqld.sock'; } >> /etc/my.cnf; ! grep -F '!includedir' /etc/my.cnf; { echo; echo '!includedir /etc/mysql/conf.d/'; } >> /etc/my.cnf; mkdir -p /etc/mysql/conf.d; mkdir -p /var/lib/mysql /var/run/mysqld; chown mysql:mysql /var/lib/mysql /var/run/mysqld; chmod 1777 /var/lib/mysql /var/run/mysqld; mkdir /docker-entrypoint-initdb.d; mysqld --version; mysql --version # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eu; { echo '[mysql-tools-community]'; echo 'name=MySQL Tools Community'; echo 'baseurl=https://repo.mysql.com/yum/mysql-tools-8.4-community/el/9/$basearch/'; echo 'enabled=1'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-tools.repo # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENV MYSQL_SHELL_VERSION=8.4.4-1.el9
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y "mysql-shell-$MYSQL_SHELL_VERSION"; microdnf clean all; mysqlsh --version # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)VOLUME [/var/lib/mysql]
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)EXPOSE map[3306/tcp:{} 33060/tcp:{}]
2025-01-21 17:21:51 UTC (buildkit.dockerfile.v0)CMD ["mysqld"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.